Set the login of a registry: a new revision, used by the next runs.
const url = 'https://example.com/api/v1/projects/example/environments/example/registries/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"registry":"example","username":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/projects/example/environments/example/registries/example \ --header 'Content-Type: application/json' \ --data '{ "registry": "example", "username": "example", "password": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Project name
Environment short name
Login name
Request Bodyrequired
Section titled “Request Bodyrequired”object
ghcr.io, docker.io, registry.example.com:5000.
A password or access token; write-only.
Examplegenerated
{ "registry": "example", "username": "example", "password": "example"}Responses
Section titled “Responses”object
The registry as image references name it (ghcr.io, docker.io).
The current revision is revoked: images from the registry are not deployed until a new login is set.
Examplegenerated
{ "name": "example", "registry": "example", "revision": 1, "revoked": true, "updatedAt": "example"}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}The name or registry is taken
Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}